/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/8.5.61
 * Generated at: 2020-12-13 09:09:57 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public final class index_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = null;
  }

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    final java.lang.String _jspx_method = request.getMethod();
    if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method) && !javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "JSPs only permit GET, POST or HEAD. Jasper also permits OPTIONS");
      return;
    }

    final javax.servlet.jsp.PageContext pageContext;
    javax.servlet.http.HttpSession session = null;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\n");
      out.write("<HTML>\n");
      out.write("\t<HEAD>\n");
      out.write("\t\t<TITLE>Eclipse BIRT Home</TITLE>\n");
      out.write("\t\t<META http-equiv=Content-Type content=\"text/html; charset=iso-8859-1\">\n");
      out.write("\t\t<LINK href=\"styles/iv/index.css\" type=text/css rel=stylesheet>\n");
      out.write("\t\t<LINK href=\"http://www.eclipse.org/images/eclipse.ico\" type=image/x-icon rel=\"shortcut icon\">\n");
      out.write("\t\t<STYLE>\n");
      out.write("\t\t\t.warningMessage { color:red; }\n");
      out.write("\t\t</STYLE>\n");
      out.write("\t");

		String javaVersion = System.getProperty("java.version");
		String viewerVersion = "4.8.0";
		String engineVersion = "4.8.0";
	
      out.write("\n");
      out.write("\t</HEAD>\n");
      out.write("\t<BODY>\n");
      out.write("\t\t<!-- Page banner -->\n");
      out.write("\t\t<TABLE class=banner-area cellSpacing=0 cellPadding=0 width=\"100%\" border=0>\n");
      out.write("\t\t\t<TBODY>\n");
      out.write("\t\t\t\t<TR>\n");
      out.write("\t\t\t\t\t<TD width=115><a href=\"http://www.eclipse.org/\">\n");
      out.write("\t\t\t\t\t\t<IMG src=\"webcontent/birt/images/EclipseBannerPic.jpg\" alt=\"Eclipse Logo\" width=\"115\" height=\"50\" border=0></a>\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD>\n");
      out.write("\t\t\t\t\t\t<IMG src=\"webcontent/birt/images/gradient.jpg\" alt=\"gradient banner\" width=\"300\" height=\"50\" border=0>\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t<TD vAlign=center align=right width=250>\n");
      out.write("\t\t\t\t\t\t<a class=\"birt\" href=\"http://www.eclipse.org/birt\">\n");
      out.write("\t\t\t\t\t\t\t<!-- Temporary BIRT header -->\n");
      out.write("\t\t\t\t\t\t\t<SPAN style=\"PADDING-RIGHT: 10px; FONT-WEIGHT: bold; FONT-SIZE: 20px; COLOR: #e8e8ff; FONT-FAMILY: arial, sans-serif\">\n");
      out.write("\t\t\t\t\t\t\t\tBIRT\n");
      out.write("\t\t\t\t\t\t\t</SPAN>\n");
      out.write("\t\t\t\t\t\t</a> \n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t</TR>\n");
      out.write("\t\t\t</TBODY>\n");
      out.write("\t\t</TABLE>\n");
      out.write("\t\t<!-- Table with menu & content -->\n");
      out.write("\t\t<TABLE cellSpacing=0 cols=2 cellPadding=0 border=0 width=\"100%\">\n");
      out.write("\t\t\t<TBODY>\n");
      out.write("\t\t\t\t<TR>\n");
      out.write("\t\t\t\t\t<TD class=content style=\"PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px\" >\n");
      out.write("\t\t\t\t\t\t<!-- Page title -->\n");
      out.write("\t\t\t\t\t\t<TABLE cellSpacing=0 cellPadding=0 width=\"100%\" border=0>\n");
      out.write("\t\t\t\t\t\t\t<TBODY>\n");
      out.write("\t\t\t\t\t\t\t\t<TR>\n");
      out.write("\t\t\t\t\t\t\t\t\t<TD vAlign=top>\n");
      out.write("\t\t\t\t\t\t\t\t\t\t<span class=\"indextop\">BIRT viewer has been installed.</span><p>&nbsp;\n");
      out.write("\t\t\t\t\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t\t\t\t\t<TD class=jump style=\"PADDING-LEFT: 10px\" align=right rowSpan=2>\n");
      out.write("\t\t\t\t\t\t\t\t\t\t<IMG src=\"webcontent/birt/images/Idea.jpg\" alt=\"Idea\" width=\"120\" height=\"86\">\n");
      out.write("\t\t\t\t\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t\t\t\t\t</TR>\n");
      out.write("\t\t\t\t\t\t\t\t<TR>\n");
      out.write("\t\t\t\t\t\t\t\t\t<TD>&nbsp;</TD>\n");
      out.write("\t\t\t\t\t\t\t\t</TR>\n");
      out.write("\t\t\t\t\t\t\t</TBODY>\n");
      out.write("\t\t\t\t\t\t</TABLE>\n");
      out.write("\t\t\t\t\t\t<!-- Content area -->\n");
      out.write("\t\t\t\t\t\t<p>Thank you for your choosing BIRT (Business Intelligence Reporting Tool).</p>\n");
      out.write("\t\t\t\t\t\t<p>Viewer Version : ");
      out.print( viewerVersion );
      out.write("</p>\n");
      out.write("\t\t\t\t\t\t<p>Engine Version: ");
      out.print( engineVersion );
      out.write("</p>\n");
      out.write("\t\t\t\t\t\t");

							String javaVersionMessage = javaVersion;
							
							// check Java version
							String[] versionParts = javaVersion.split("\\.");
							int majorVersion = 0;
							int minorVersion = 0;
							try
							{
								majorVersion = Integer.parseInt(versionParts[0]);		
								minorVersion = Integer.parseInt(versionParts[1]);
								if ( majorVersion < 1 || ( majorVersion == 1 && minorVersion < 5 ) )
								{
									javaVersionMessage = "<span class=\"warningMessage\">" + javaVersion + " (WARNING: BIRT " + viewerVersion + " only supports JRE versions >= 1.5)</span>";
								}
							}
							catch (NumberFormatException e)
							{
							
							}
						
      out.write("\n");
      out.write("\t\t\t\t\t\t<p>JRE version: ");
      out.print( javaVersionMessage  );
      out.write("</p>\n");
      out.write("\t\t\t\t\t\t<p><a href=\"");
      out.print( request.getContextPath( ) + "/frameset?__report=test.rptdesign&sample=my+parameter" );
      out.write("\">View Example</a>\n");
      out.write("\t\t\t\t\t</TD>\n");
      out.write("\t\t\t\t</TR>\n");
      out.write("\t\t\t</TBODY>\n");
      out.write("\t\t</TABLE>\n");
      out.write("\t</BODY>\n");
      out.write("</HTML>\n");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
